import 'package:pshared/data/dto/payment/network_fee.dart';
import 'package:pshared/data/mapper/payment/money.dart';
import 'package:pshared/models/payment/fees/network.dart';


extension NetworkFeeDTOMapper on NetworkFeeDTO {
  NetworkFee toDomain() => NetworkFee(
    networkFee: networkFee?.toDomain(),
    estimationContext: estimationContext,
  );
}

extension NetworkFeeMapper on NetworkFee {
  NetworkFeeDTO toDTO() => NetworkFeeDTO(
    networkFee: networkFee?.toDTO(),
    estimationContext: estimationContext,
  );
}
